.home {
    .hero {
        background: url(img/img-farmacia-hero.jpg) no-repeat left center;
        background-size: cover;
        width: 100%;
        min-height: 400px;
        display: flex;
        align-items: center;


        >.row {
            width: 100%;
        }


    }

    .content-text {
        max-width: 800px;
        width: 100%;
        background: rgba(33, 141, 236, 0.833);
        padding: 15px 25px;
        border-radius: 0 10px 10px 0;
    }

    .swiper {
        &.mySwiperHome {
            width: 100%;
            height: 100%;
        }

        .swiper-slide {
            text-align: center;
            font-size: 18px;
            background: #fff;
            display: flex;
            justify-content: center;
            align-items: center;

            .card {
                // max-width: 250px;
                width: 100%;
            }

            img {
                display: block;
                width: 100%;
                height: 200px;
                object-fit: cover;
            }
        }

        .swiper-wrapper {
            display: flex;
            justify-content: space-between;
        }

        .swiper-pagination {
            position: absolute;
            bottom: 20px;
            left: 50%;
            transform: translateX(-50%);

            .swiper-pagination-bullet {
                width: 12px;
                height: 12px;
                margin: 0 5px;
                background-color: #ccc;
                opacity: 0.5;
                transition: opacity 0.3s;

                &.swiper-pagination-bullet-active {
                    background-color: #007bff;
                    opacity: 1;
                }
            }
        }
    }

    .title-banner,
    .title-section {
        text-align: left;

        &.title-section {
            padding-top: 10px;
            position: relative;

            &:before {
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                width: 5%;
                height: 4px;
                background: var(--bs-secondary);
            }
        }
    }

    .sale-ribbon {
        background-color: #ff0000;
        transform: rotate(-45deg);
        transform-origin: bottom;
        z-index: 1;
        width: 120px;
        text-align: center;
        top: 20px;
        left: -30px;

        span {
            color: white;
            font-size: 16px;
            font-weight: bold;
        }
    }

    h5.card-title {
        word-wrap: break-word;
        white-space: normal;
    }

    .card-oferta {
        // max-width: 250px;
        min-height: 475px;
        width: 100%;
        overflow: hidden;

        img {
            min-height: 280px;
        }
    }

    .contenedor-productos,
    .contenedor-quienes-somos {
        margin-top: 20px;
        // padding: 30px;
        background: white;

        .row {
            row-gap: 20px;
        }
    }

    .texto-precios {
        font-size: 23px;
    }

    .descripcion-producto {
        font-size: 12px;
    }

    a.btn {
        &.btn-more {
            border: 1px solid var(--bs-primary);
            max-width: 110px;
            width: 100%;
            margin-left: auto;
            margin-top: 10px;
            text-align: center;
            display: block;
        }

        &.btn-primary {
            color: white;
        }
    }

    .product-cards-container {
        padding: 20px 0;

        .swiper-slide {
            flex-shrink: 0;
            width: auto; // Para permitir que se ajuste automáticamente al tamaño del contenedor
        }
    }

    .mySwiperOfertas {
        position: relative;
        overflow: hidden;

        .swiper-scrollbar {
            background: rgba(0, 0, 0, 0.5);
            height: 8px; // Altura de la barra
        }

        .swiper-scrollbar .swiper-scrollbar-drag {
            background: #007bff; // Color de la parte que se arrastra
        }

    }


    .product-category-slider {
        margin: 0 auto;
        position: relative;
        padding-bottom: 50px;

        img {
            object-fit: contain !important;
        }
    }

    .category-info {
        font-family: sans-serif;

        h3 {
            font-size: 20px;
            font-weight: bold;
            margin-bottom: 10px;
        }

        p {
            color: #777;
            margin-bottom: 20px;
        }

        a {
            display: inline-block;
            padding: 10px 20px;
            background-color: #007bff;
            color: #fff;
            text-decoration: none;
            border-radius: 5px;
            transition: background-color 0.3s;

            &:hover {
                background-color: #0056b3;
            }
        }
    }

    .tooltip-container {
        position: relative;

        .truncated-description {
            font-family: 'Roboto', sans-serif;
            max-width: 300px;
            width: 100%;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            font-size: 13px;
        }

        .tooltip-text {
            display: none;
            text-align: left;
            position: absolute;
            background-color: #f0f0f0;
            border: 1px solid #ccc;
            padding: 10px;
            font-size: 12px;
            top: 0;
            left: 0;
            width: 100%;
            overflow-y: scroll;
        }
    }

    .overflow-hidden {
        overflow: hidden !important;
    }

    .titulosContacto {
        font-family: 'Roboto', sans-serif;
        font-size: 22px;
    }
    @media (max-width:575px){
        section {
            padding-left: 5%;
            padding-right: 5%;
        }
    }
    @media (min-width:576px) {
        .hero {
            padding: 0 60px;
        }
        .contenedor-productos,
        .contenedor-quienes-somos {
            padding: 30px;
        }
    }

    @media (min-width: 1440px) {
        .hero {
            min-height: 600px;
        }
    }
}